import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/transactions',
    method: 'get',
    params: query
  })
}

// 查询 活动详情
export function transactionById(id) {
  return request({
    url: '/transaction/' + id,
    method: 'get'
  })
}

// 作废 活动详情
export function updateTransactionById(id) {
  return request({
    url: '/transaction/update/' + id,
    method: 'post'
  })
}

export function transactionsList(data) {
  return request({
    url: '/transactions',
    method: 'post',
    data: {
      transactionTitle: data.transactionTitle,
      id: data.id,
      userName: data.userName,
      status: data.status,
      pageNum: data.pageNum,
      pageSize: data.pageSize
    }
  })
}

export function transactionsAdd(data) {
  return request({
    url: '/transactions/add',
    method: 'post',
    data: {
      transactionTitle: data.transactionTitle,
      type: data.type,
      id: data.id,
      userName: data.userName,
      status: data.status,
      contentImg: data.contentImg,
      transactionContent: data.transactionContent,
      sort: data.sort
    }
  })
}

export function transactionsEdit(data) {
  return request({
    url: '/transactions/updata',
    method: 'post',
    data: {
      transactionTitle: data.transactionTitle,
      type: data.type,
      id: data.id,
      userName: data.userName,
      status: data.status,
      contentImg: data.contentImg,
      transactionContent: data.transactionContent,
      sort: data.sort
    }
  })
}
export function transactionsDelete(data) {
  console.log('1111')
  console.log(data)
  return request({
    url: '/transactions/delete',
    method: 'post',
    data: {
      id: data
    }
  })
}

export function transactionReplyList(data) {
  return request({
    url: '/transactionReplyList',
    method: 'post',
    data: {
      transactionTitle: data.transactionTitle,
      id: data.id,
      userName: data.userName,
      status: data.status,
      pageNum: data.pageNum,
      pageSize: data.pageSize
    }
  })
}
